
#language: ru

@MovingProducts

Функционал: 010. MovingProducts. Создание заданий на доставку

Сценарий: 010.1. MovingProducts. Создание задания на доставку для перемещения

	Дано Я подключаюсь под "Создание заданий на доставку"
	Дано я устанавливаю текущему сеансу заголовок приложения "14.010. Перемещение товаров"
	Дано я удаляю объекты "Документы.к2ЗаданиеНаДоставку" без контроля ссылок
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Рабочее место менеджера по доставке'
	Тогда открылось окно 'Формирование заданий на доставку на *'
	И из выпадающего списка с именем "Склад" я выбираю по строке 'Сырная ГП'
	И в поле 'Распоряжения на дату' я ввожу текст '12.10.19'
	И в таблице "ЗаданияНаДоставкуПланируемые" я нажимаю на кнопку с именем 'ЗаданияНаДоставкуПланируемыеСоздатьЗаданияНаДоставку'
	Тогда открылось окно 'Форма выбора транспорта'
	И в таблице "ТранспортныеСредства" я перехожу к строке:
		| 'Наименование'  |
		| 'А524НВ Газель' |
	И я нажимаю на кнопку '>'
	И я нажимаю на кнопку 'Сформировать задания'
	Тогда открылось окно 'Формирование заданий на доставку на *'
	И в таблице "РаспоряженияНаДоставку" я перехожу к строке:
		| 'Вес, кг' | 'Мест'  | 'Получатель'              |
		| '10'      | '11,23' | 'Склад готовой продукции' |
	И я нажимаю на кнопку с именем 'ПеренестиСтрокиВРейс'
	И я перехожу к закладке "Задания на доставку"
	И в таблице "ЗаданияНаДоставкуВРаботе" я перехожу к строке:
		| 'Водитель'             | 'Склад'     | 'Статус'      | 'Транспорт'     |
		| 'Водитель Петров Петр' | 'Сырная ГП' | 'Формируется' | 'А524НВ Газель' |
	И в таблице "ЗаданияНаДоставкуВРаботе" я активизирую поле с именем "ЗаданияНаДоставкуВРаботеСтатус"
	И я нажимаю на кнопку с именем 'УстановитьСтатусКПогрузке'
	И Я закрываю окно 'Формирование заданий на доставку на *'

Сценарий: 010.2. MovingProducts. Завершение

	И я закрываю сеанс TESTCLIENT